Skip to main content
GET
/
v1
/
repositories
/
{repository_id}
/
{commit_hash}
/
runs
List Code Executions
curl --request GET \
  --url https://api.example.com/v1/repositories/{repository_id}/{commit_hash}/runs \
  --header 'Authorization: Bearer <token>'
[
  {
    "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workflow_id": "<string>",
    "repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "commit_hash": "<string>",
    "status": "pending",
    "experiment_id": "<string>",
    "compute_type": "cpu-general",
    "run_config": {},
    "dockerfile": "<string>",
    "stdout_url": "<string>",
    "stderr_url": "<string>",
    "duration_seconds": 123,
    "start_time": "<string>",
    "close_time": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repository_id
string<uuid>
required
commit_hash
string
required

Response

Successful Response

run_id
string<uuid>
required
workflow_id
string
required
repository_id
string<uuid>
required
commit_hash
string
required
status
enum<string>
required
Available options:
pending,
preprocessing,
running,
completed,
failed,
cancelled
experiment_id
string
required
compute_type
enum<string>
default:cpu-general
Available options:
cpu-general,
cpu-memory,
gpu-a10g
run_config
Run Config · object
dockerfile
string | null
stdout_url
string | null
stderr_url
string | null
duration_seconds
number | null
start_time
string | null
close_time
string | null